Tspi_TPM_SetStatus(3)

TCG Software Stack Developer's Reference

NAME
Tspi_TPM_SetStatus - modify the TPM's status

SYNOPSIS
#include <tss/platform.h>
#include <tss/tcpa_defines.h>
#include <tss/tcpa_typedef.h>
#include <tss/tcpa_struct.h>
#include <tss/tss_typedef.h>
#include <tss/tss_structs.h>
#include <tss/tspi.h>

TSS_RESULT Tspi_TPM_SetStatus(TSS_HTPM hTPM, TSS_FLAG statusFlag,
                              TSS_BOOL fTpmState);

DESCRIPTION

Tspi_TPM_SetStatus alters the status of the TPM. Depending on the chosen statusFlag, fTpmState may or may not be ignored. This command requires that the TPM be on and the handle to the TPM available. This command is not currently implemented.

PARAMETERS

  hTPM
The hTPM parameter is used to specify the handle of the TPM object.

  statusFlag
The statusFlag parameter is what the TPM status should be set to.

  fTpmState
The fTpmState parameter is the status value to set. For some states, this flag is ignored.

RETURN CODES

Tspi_TPM_SetStatus returns TSS_SUCCESS on success, otherwise one of the following values is returned:

TSS_E_INVALID_HANDLE
    hTPM is not a valid handle.

TSS_E_INTERNAL_ERROR
    An internal SW error has been detected.

TSS_E_BAD_PARAMETER
    One or more parameters is bad.

CONFORMING TO

Tspi_TPM_SetStatus conforms to the Trusted Computing Group Software Specification version 1.1 Golden

SEE ALSO

Tspi_TPM_GetStatus(3), Tspi_TPM_GetCapability(3).